#include <unistd.h>

#include <syscall.h>
#include <errno.h>
#include <stdio.h>

extern void * ___brk_addr;

#define SYS____brk SYS_brk
static inline
_syscall1(long long,___brk,long long,ptr);


void *
__sbrk(ptrdiff_t increment)
{
	long newbrk, current;

	current = (long) ___brk_addr;

	if (increment == 0) {
		return (void *) current;
	}

	newbrk = ((long) ___brk_addr + increment + 7UL) & ~7UL;
	___brk_addr = (void *) ___brk(newbrk);
	if ((long) ___brk_addr == newbrk) {
		return (void *) current;
	}
	errno = ENOMEM;
	return (void *) -1L;
}
