#include <sys/time.h>
#include <unistd.h>

unsigned int
alarm (unsigned int seconds)
{
	struct itimerval i, j;
	i.it_interval.tv_sec  = 0;
	i.it_interval.tv_usec = 0;
	i.it_value.tv_sec  = (int) seconds;
	i.it_value.tv_usec = 0;
	if (setitimer(ITIMER_REAL, &i, &j) < 0) {
		return -1;
	}
	return j.it_value.tv_sec;
}
