#include <unistd.h>
#include <sys/time.h>

time_t
time(time_t *ptr)
{
	struct timeval t;

	if (gettimeofday(&t,NULL) == 0) {
		if( ptr != NULL) {
			*ptr = t.tv_sec;
		}
		return t.tv_sec;
	} else {
		return -1;
	}
}


int
stime(time_t *set)
{
	struct timeval t;
	struct timezone tzp;

	if (set != NULL && gettimeofday(&t, &tzp) == 0) {
		t.tv_sec  = *set;
		t.tv_usec = 0;
		return settimeofday(&t, &tzp);
	}
	return -1;
}
