#include <syscall.h>
#include <unistd.h>

#ifdef SYS_setpgid
static inline
_syscall2(int,setpgid,pid_t,pid,pid_t,pgid)

int
setpgrp(void)
{
	long result = setpgid(0,0);

	if (result < 0) {
		errno = -result;
		return -1;
	}
	return result;
}
#endif
