#include <fcntl.h>
#include <errno.h>
#include <syscall.h>
#include <stdarg.h>

int
__fcntl(int fildes, int cmd, ...)
{
	int res;
	va_list arg;

	va_start(arg,cmd);
	res = syscall(SYS_fcntl, fildes, cmd, va_arg(arg, int));
	va_end (arg);

	if (res >= 0) {
		return res;
	}
	errno = -res;
	return -1;
}
